/// <reference path="DialogueText.ts" />
class DialogueChoice extends DialogueText {
    public type = NodeType.Choice;
    private conditions : () => boolean = () => { return true; };

    public isAvailable () {
        return this.conditions();
    }

    public setConditions (conditions : () => boolean) {
        this.conditions = conditions;
    }
}